%define debug_package	%{nil}

%define rel	1

%define svn	0
%define pre	0
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define dirname		%name
%else
%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version.%pre.tar.gz
%define dirname		%name-%version.%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif
%endif

# It's the same for releases, but different for pre-releases: please
# don't remove, even if it seems superfluous - AdamW 2008/03
%define fversion	%{version}

Summary:	'Good' plugins for the Elisa media center
Name:		elisa-plugins-good
Version:	0.3.5
Release:	%{release}
# For SVN:
# svn co https://code.fluendo.com/elisa/svn/trunk elisa
Source0:	http://elisa.fluendo.com/static/download/elisa/%{distname}
License:	GPLv3
Group:		Development/Python
URL:		http://elisa.fluendo.com/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	python-twisted
BuildRequires:	ImageMagick
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer0.10-python
BuildRequires:	elisa-core = %{version}
Requires:	elisa = %{version}
Suggests:	python-lirc
Suggests:	python-coherence

%description
Elisa is a project to create an open source cross platform media center 
solution. This package contains 'good' (well-written and legally clean)
plugins for Elisa.

%prep
%setup -q -n %{dirname}

%build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --single-version-externally-managed --compile --optimize=2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/elisa/plugins/*
%{py_puresitedir}/elisa_plugins_good-%{fversion}-py%{pyver}.egg-info
%{py_puresitedir}/elisa_plugins_good-%{fversion}-py%{pyver}-nspkg.pth



%changelog
* Tue Mar 18 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.5-1mdv2008.1
+ Revision: 188615
- prettify svn / pre-release conditionals
- new release 0.3.5

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-3mdv2008.1
+ Revision: 181073
- revert last change, updater is not enabled in 0.3.4 default config (only rc2). if re-enabled in future releases, will use a more elegant patch.

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-2mdv2008.1
+ Revision: 181061
- don't build the auto-updater

* Tue Mar 04 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-1mdv2008.1
+ Revision: 179128
- buildrequires elisa-core not elisa (fixes circular dependency issue)
- new release 0.3.4 final

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-0.rc3.1mdv2008.1
+ Revision: 177153
- correct license (all plugins actually seem to be under GPLv3, none MIT)
- new release 0.3.4rc3

* Fri Feb 29 2008 Adam Williamson <awilliamson@mandriva.com> 0.3.4-0.rc1.1mdv2008.1
+ Revision: 176628
- import elisa-plugins-good


